<?php   
$lz_fitness_categories = get_categories(array('hide_empty' => 0));
foreach ($lz_fitness_categories as $lz_fitness_category) {
	$lz_fitness_cat[$lz_fitness_category->term_id] = $lz_fitness_category->cat_name;
}

$wp_customize->add_section(
	'technologyblog_section',
	array(
		'title' => __( 'Technology Posts Section', 'Luzuk' ),
		'panel' => 'lz_fitness_premium_home_panel',
     	//'priority' => '50',
	)
);
$wp_customize->add_setting(
	'technologyblog_section_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'technologyblog_section_disable',
		array(
			'settings'      => 'technologyblog_section_disable',
			'section'       => 'technologyblog_section',
			'label'         => __( 'Disable Section', 'Luzuk' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'Luzuk' ),
				'off' => __( 'No', 'Luzuk' )
			)   
		)
	)
);
backgroundManager($wp_customize, 'technologypost', 'technologyblog_section', $color='#f7f7f7');



lzCustomLable($wp_customize, 'sec_techblogsection_padding', 'technologyblog_section', 'Set Padding For Section:');

$wp_customize->add_setting(
    'sec_technologyblogsectionTpadding', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '5em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_technologyblogsectionTpadding',
    array(
        'settings'      => 'sec_technologyblogsectionTpadding',
        'section'       => 'technologyblog_section',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'sec_technologyblogsectionBpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '1em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_technologyblogsectionBpadding',
    array(
        'settings'      => 'sec_technologyblogsectionBpadding',
        'section'       => 'technologyblog_section',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'sec_technologyblogsectionLpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_technologyblogsectionLpadding',
    array(
        'settings'      => 'sec_technologyblogsectionLpadding',
        'section'       => 'technologyblog_section',
        'type'          => 'text',
        'label'         => __( 'Section Left Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'sec_technologyblogsectionRpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_technologyblogsectionRpadding',
    array(
        'settings'      => 'sec_technologyblogsectionRpadding',
        'section'       => 'technologyblog_section',
        'type'          => 'text',
        'label'         => __( 'Section Right Padding', 'Luzuk' )
    )
);


$wp_customize->add_setting(
	'technology_title_heading',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text'
	)
);
$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'technology_title_heading',
		array(
			'settings'      => 'technology_title_heading',
			'section'       => 'technologyblog_section',
			'label'         => __( 'Section Title', 'Luzuk' ),
		)
	)
);
$wp_customize->add_setting(
	'technology_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Technology', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'technology_title',
	array(
		'settings'      => 'technology_title',
		'section'       => 'technologyblog_section',
		'type'          => 'text',
		'label'         => __( 'Add Section Title Here:', 'Luzuk' )
	)
);

addColorPalatOption($wp_customize, 'technologyBlog_SectionTitleColor', 'technologyblog_section', 'Section Title color', '#2b2b2b');
addColorPalatOption($wp_customize, 'technologyBlog_SectionTitleBorderColor', 'technologyblog_section', 'Section Title Border color', '#7d52fc');


lzCustomLable($wp_customize, 'technology_blopostimagesresset', 'technologyblog_section', 'Note: Set posts images of same resolution');
 
 
$wp_customize->add_setting(
	'luzuk_technologyblog_post_count',
	array(
		'default'           => '12',
		'sanitize_callback' => 'lz_fitness_sanitize_choices'
	)
);
$wp_customize->add_control(
	new lz_fitness_Dropdown_Chooser(
		$wp_customize,
		'luzuk_technologyblog_post_count',
		array(
			'settings'      => 'luzuk_technologyblog_post_count',
			'section'       => 'technologyblog_section',
			'label'         => __( 'Number of  technology Posts to Show', 'Luzuk' ),
			'choices'       => $lz_fitness_post_count_choice
		)
	)
);
$wp_customize->add_setting(
	'luzuk_technologyblog_cat_exclude',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text'
	)
);
$wp_customize->add_control(
	new lz_fitness_Customize_Checkbox_Multiple(
		$wp_customize,
		'luzuk_technologyblog_cat_exclude',
		array(
			'label' => __('Exclude Category from Blog Posts', 'Luzuk'),
			'section' => 'technologyblog_section',
			'settings' => 'luzuk_technologyblog_cat_exclude',
			'choices' => $lz_fitness_cat
		)
	)
);

// CREATING A BLOG SECTION IN CUSTOMIZER FOR BLOG PAGES
$wp_customize->add_section(
	'lz_fitness_premium_blog_section',
	array(
		'title' => __( 'Blog Page Settings', 'Luzuk' ),
        // 'panel' => 'lz_fitness_premium_home_panel'
		'priority' =>19
	)
);

$wp_customize->add_setting('lz_fitness_blog_categories_settings', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control('lz_fitness_blog_categories_settings', array(
    'settings' => 'lz_fitness_blog_categories_settings',
    'label'    => __('Posts on Blog Page', 'Luzuk'),
    'section'  => 'lz_fitness_premium_blog_section',
    'type'     => 'radio',
    'choices'  => array(
        '0' => __('Excerpts','Luzuk'),
        '1' => __('Full Posts','Luzuk'),
    ),
));
// ADDING THE CATEGORY TO SELECT
$wp_customize->add_setting('lz_fitness_blog_categories', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Checkbox_Multiple(
		$wp_customize,
		'lz_fitness_blog_categories',
		array(
			'label' => __('Exclude Category from Blog Posts', 'Luzuk'),
			'section' => 'lz_fitness_premium_blog_section',
			'settings' => 'lz_fitness_blog_categories',
			'choices' => $lz_fitness_cat
		)
	)
);


lzCustomLable($wp_customize, 'sec_technologyblogsection_opacity', 'technologyblog_section', 'Set Posts Image Hover Overlay Opacity & Its Background Color:');

$wp_customize->add_setting(
    'sec_technologyblogsectionOpacity', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0.4', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_technologyblogsectionOpacity',
    array(
        'settings'      => 'sec_technologyblogsectionOpacity',
        'section'       => 'technologyblog_section',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'Luzuk' )
    )
);
addColorPalatOption($wp_customize, 'technologyBlog_ImgHvrOverBgsColor', 'technologyblog_section', 'Posts Hover Overlay Background color', '#000000');

lzCustomLable($wp_customize, 'sec_technologyblogsection_OtherC', 'technologyblog_section', 'Other Colors:');


addColorPalatOption($wp_customize, 'technologyBlog_TitleColor', 'technologyblog_section', 'Posts Title color', '#222222');
addColorPalatOption($wp_customize, 'technologyBlog_TitleHvrColor', 'technologyblog_section', 'Posts Title Hover color', '#7d51fc');
addColorPalatOption($wp_customize, 'technologyBlog_CatTextColor', 'technologyblog_section', 'Posts Category Text color', '#ffffff');
addColorPalatOption($wp_customize, 'technologyBlog_Cat1BgColor', 'technologyblog_section', 'Category Text Background color 1', '#dc3d66');
addColorPalatOption($wp_customize, 'technologyBlog_Cat2BgColor', 'technologyblog_section', 'Category Text Background color 2', '#7d51fc');
addColorPalatOption($wp_customize, 'technologyBlog_Cat3BgColor', 'technologyblog_section', 'Category Text Background color 3', '#f8b739');
addColorPalatOption($wp_customize, 'technologyBlog_Cat4BgColor', 'technologyblog_section', 'Category Text Background color 4', '#296170');

addColorPalatOption($wp_customize, 'technologyBlog_DateIconTxtColor', 'technologyblog_section', 'Date Icon & Text color', '#9b9b9b');
addColorPalatOption($wp_customize, 'technologyBlog_ContentColor', 'technologyblog_section', 'Content color', '#646464');

addColorPalatOption($wp_customize, 'technologyBlog_PrevNxtBtnColor', 'technologyblog_section', 'Prev & Next Button color', '#ababab');
addColorPalatOption($wp_customize, 'technologyBlog_PrevNxtBtnHvrsColor', 'technologyblog_section', 'Prev & Next Button Hover color', '#ffffff');

addColorPalatOption($wp_customize, 'technologyBlog_PrevNxtBtnBgssColor', 'technologyblog_section', 'Prev & Next Button Background color', '#ffffff');
addColorPalatOption($wp_customize, 'technologyBlog_PrevNxtBtnBgssHvrsColor', 'technologyblog_section', 'Prev & Next Button Hover Background color', '#7d51fc');
